Subject: Re: bug#32850: 27.0.50; window-swap-states doesn't swap window prev/next-buffers

From: Juri Linkov <[email-masked]>
Date: Sun, 21 Oct 2018 00:40:45 +0300

> States are useful for reconstructing a configuration that existed
> earlier in some approximate way as to be used by desktop and friends.
> Nothing more.

This means that in the same session non-writable states should be used
instead of window configurations.  And for saving to the desktop file,
non-writable window states should be converted to writable window states.